Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.pages
Class ReportSuiteMaker

    java.lang.Object
      net.sf.statcvs.pages.ReportSuiteMaker

    public class ReportSuiteMaker

extends java.lang.Object

TODO: Clean up

Version:
  $Id: ReportSuiteMaker.java,v 1.11 2009/08/22 10:30:42 benoitx Exp $
Author:
  Anja Jentzsch, Benoit Xhenseval (OutputRenderer and ExtraReportRegister interfaces)

Field Summary
`static java.lang.String` | `BUG_ICON`
`static java.lang.String` | `DELETED_DIRECTORY_ICON`
`static java.lang.String` | `DELETED_FILE_ICON`
`static java.lang.String` | `DIRECTORY_ICON`
`static java.lang.String` | `FILE_ICON`
`static int` | `ICON_HEIGHT`
`static int` | `ICON_WIDTH`
`static java.lang.String` | `TWEET_THIS_ICON`
`static java.lang.String` | `TWEET_THIS_SMALL`
`static java.lang.String` | `WEB_FILE_PATH` Path to web distribution files inside the distribution JAR, relative to the `Main` class

Constructor Summary
`ReportSuiteMaker(ReportConfig config, java.lang.String notesHTML)`
`ReportSuiteMaker(ReportConfig config, java.lang.String notesHTML, java.util.List additionalPages)`

Method Summary
`Page` | `toFile()` TODO: Don't throw exception
`void` | `toXml()` this method will move away from the ordinary routine taken by statSVn and will invoke some new classes that are written to generate the xml's

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WEB_FILE_PATH

    public static final java.lang.String WEB_FILE_PATH

  Path to web distribution files inside the distribution JAR, relative to the `Main` class

  See Also:
    Constant Field Values

### DIRECTORY_ICON

    public static final java.lang.String DIRECTORY_ICON

See Also:
  Constant Field Values

### BUG_ICON

    public static final java.lang.String BUG_ICON

See Also:
  Constant Field Values

### TWEET_THIS_SMALL

    public static final java.lang.String TWEET_THIS_SMALL

See Also:
  Constant Field Values

### TWEET_THIS_ICON

    public static final java.lang.String TWEET_THIS_ICON

See Also:
  Constant Field Values

### DELETED_DIRECTORY_ICON

    public static final java.lang.String DELETED_DIRECTORY_ICON

See Also:
  Constant Field Values

### FILE_ICON

    public static final java.lang.String FILE_ICON

See Also:
  Constant Field Values

### DELETED_FILE_ICON

    public static final java.lang.String DELETED_FILE_ICON

See Also:
  Constant Field Values

### ICON_WIDTH

    public static final int ICON_WIDTH

See Also:
  Constant Field Values

### ICON_HEIGHT

    public static final int ICON_HEIGHT

See Also:
  Constant Field Values

Constructor Detail

### ReportSuiteMaker

    public ReportSuiteMaker(ReportConfig config,
                            java.lang.String notesHTML)

Parameters:
  `config` - Configuration and data for the report suite
  `notesHTML` - A note to be inserted on top of the page; might be `null`

### ReportSuiteMaker

    public ReportSuiteMaker(ReportConfig config,
                            java.lang.String notesHTML,
                            java.util.List additionalPages)

Parameters:
  `config` - Configuration and data for the report suite
  `notesHTML` - A note to be inserted on top of the page; might be `null`
  `additionalPages` - A list of `Page`s for inclusion in the index page's main menu

Method Detail

### toXml

    public void toXml()

  this method will move away from the ordinary routine taken by statSVn and will invoke some new classes that are written to generate the xml's

### toFile

    public Page toFile()
                throws java.io.IOException

  TODO: Don't throw exception

  Throws:
    `java.io.IOException` - on error while writing the files

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD